~/bin/fastboot getvar version-bootloader
echo "Saving log to fastboot.log"
echo "flash partition gpt_both0.bin..."
~/bin/fastboot flash partition gpt_both0.bin > fastboot.log 2>&1
grep -E 'FAILED|error' fastboot.log
RETVAL=$?
if [ $RETVAL -eq 0 ];then
        echo 'failed and exit'; exit 1
fi

echo "flash bootloader bootloader.img..."
~/bin/fastboot flash bootloader bootloader.img >> fastboot.log 2>&1
grep -E 'FAILED|error' fastboot.log
RETVAL=$?
if [ $RETVAL -eq 0 ];then
        echo 'failed and exit'; exit 1
fi

echo "format cache..."
~/bin/fastboot format cache >> fastboot.log 2>&1
grep -E 'usage|FAILED|error' fastboot.log
RETVAL=$?
if [ $RETVAL -eq 0 ];then
        echo 'cannot fastboot format, you may need to update your fastboot tool'
        echo 'failed and exit'; exit 1
fi

echo "format userdata..."
~/bin/fastboot format userdata >> fastboot.log 2>&1
grep -E 'usage|FAILED|error' fastboot.log
RETVAL=$?
if [ $RETVAL -eq 0 ];then
        echo 'cannot fastboot format, you may need to update your fastboot tool'
        echo 'failed and exit'; exit 1
fi

echo "flash radio radio.img..."
~/bin/fastboot flash radio radio.img >> fastboot.log 2>&1
grep -E 'FAILED|error' fastboot.log
RETVAL=$?
if [ $RETVAL -eq 0 ];then
        echo 'failed and exit'; exit 1
fi

echo "flash boot boot.img..."
~/bin/fastboot flash boot boot.img >> fastboot.log 2>&1
grep -E 'FAILED|error' fastboot.log
RETVAL=$?
if [ $RETVAL -eq 0 ];then
        echo 'failed and exit'; exit 1
fi

echo "flash recovery recovery.img..."
~/bin/fastboot flash recovery recovery.img >> fastboot.log 2>&1
grep -E 'FAILED|error' fastboot.log
RETVAL=$?
if [ $RETVAL -eq 0 ];then
        echo 'failed and exit'; exit 1
fi

echo "flash system system.img..."
~/bin/fastboot flash system system.img >> fastboot.log 2>&1
grep -E 'FAILED|error' fastboot.log
RETVAL=$?
if [ $RETVAL -eq 0 ];then
        echo 'failed and exit'; exit 1
fi
~/bin/fastboot reboot
